<?php
namespace PHPMaker2020\recetarios_2021;

// Autoload
include_once "autoload.php";

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	\Delight\Cookie\Session::start(Config("COOKIE_SAMESITE")); // Init session data

// Output buffering
ob_start();
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$remitente_delete = new remitente_delete();

// Run the page
$remitente_delete->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$remitente_delete->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fremitentedelete, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "delete";
	fremitentedelete = currentForm = new ew.Form("fremitentedelete", "delete");
	loadjs.done("fremitentedelete");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $remitente_delete->showPageHeader(); ?>
<?php
$remitente_delete->showMessage();
?>
<form name="fremitentedelete" id="fremitentedelete" class="form-inline ew-form ew-delete-form" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="remitente">
<input type="hidden" name="action" id="action" value="delete">
<?php foreach ($remitente_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode(Config("COMPOSITE_KEY_SEPARATOR"), $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="card ew-card ew-grid">
<div class="<?php echo ResponsiveTableClass() ?>card-body ew-grid-middle-panel">
<table class="table ew-table">
	<thead>
	<tr class="ew-table-header">
<?php if ($remitente_delete->id->Visible) { // id ?>
		<th class="<?php echo $remitente_delete->id->headerCellClass() ?>"><span id="elh_remitente_id" class="remitente_id"><?php echo $remitente_delete->id->caption() ?></span></th>
<?php } ?>
<?php if ($remitente_delete->Remitente->Visible) { // Remitente ?>
		<th class="<?php echo $remitente_delete->Remitente->headerCellClass() ?>"><span id="elh_remitente_Remitente" class="remitente_Remitente"><?php echo $remitente_delete->Remitente->caption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$remitente_delete->RecordCount = 0;
$i = 0;
while (!$remitente_delete->Recordset->EOF) {
	$remitente_delete->RecordCount++;
	$remitente_delete->RowCount++;

	// Set row properties
	$remitente->resetAttributes();
	$remitente->RowType = ROWTYPE_VIEW; // View

	// Get the field contents
	$remitente_delete->loadRowValues($remitente_delete->Recordset);

	// Render row
	$remitente_delete->renderRow();
?>
	<tr <?php echo $remitente->rowAttributes() ?>>
<?php if ($remitente_delete->id->Visible) { // id ?>
		<td <?php echo $remitente_delete->id->cellAttributes() ?>>
<span id="el<?php echo $remitente_delete->RowCount ?>_remitente_id" class="remitente_id">
<span<?php echo $remitente_delete->id->viewAttributes() ?>><?php echo $remitente_delete->id->getViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($remitente_delete->Remitente->Visible) { // Remitente ?>
		<td <?php echo $remitente_delete->Remitente->cellAttributes() ?>>
<span id="el<?php echo $remitente_delete->RowCount ?>_remitente_Remitente" class="remitente_Remitente">
<span<?php echo $remitente_delete->Remitente->viewAttributes() ?>><?php echo $remitente_delete->Remitente->getViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$remitente_delete->Recordset->moveNext();
}
$remitente_delete->Recordset->close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("DeleteBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $remitente_delete->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
</div>
</form>
<?php
$remitente_delete->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$remitente_delete->terminate();
?>